play.deps

## Class HumanReadyLogger

- java.lang.Object
- - play.deps.HumanReadyLogger

- All Implemented Interfaces:
    java.util.EventListener, org.apache.ivy.plugins.repository.TransferListener, org.apache.ivy.util.MessageLogger

      public class HumanReadyLogger
      extends java.lang.Object
      implements org.apache.ivy.util.MessageLogger, org.apache.ivy.plugins.repository.TransferListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanReadyLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearProblems()`
    `void` | `debug(java.lang.String string)`
    `void` | `deprecated(java.lang.String string)`
    `void` | `endProgress()`
    `void` | `endProgress(java.lang.String string)`
    `void` | `error(java.lang.String string)`
    `java.util.List<java.lang.String>` | `getErrors()`
    `java.util.List<java.lang.String>` | `getProblems()`
    `java.util.List<java.lang.String>` | `getWarns()`
    `void` | `info(java.lang.String string)`
    `boolean` | `isShowProgress()`
    `void` | `log(java.lang.String string, int i)`
    `void` | `niceLog(java.lang.String msg, int level)`
    `void` | `progress()`
    `void` | `rawinfo(java.lang.String string)`
    `void` | `rawlog(java.lang.String string, int i)`
    `void` | `setShowProgress(boolean bln)`
    `void` | `sumupProblems()`
    `void` | `transferProgress(org.apache.ivy.plugins.repository.TransferEvent te)`
    `void` | `verbose(java.lang.String string)`
    `void` | `warn(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanReadyLogger

          public HumanReadyLogger()

  - ### Method Detail

    - #### niceLog

          public void niceLog(java.lang.String msg,
                              int level)

    - #### log

          public void log(java.lang.String string,
                          int i)

      Specified by:
        `log` in interface `org.apache.ivy.util.MessageLogger`

    - #### rawlog

          public void rawlog(java.lang.String string,
                             int i)

      Specified by:
        `rawlog` in interface `org.apache.ivy.util.MessageLogger`

    - #### debug

          public void debug(java.lang.String string)

      Specified by:
        `debug` in interface `org.apache.ivy.util.MessageLogger`

    - #### verbose

          public void verbose(java.lang.String string)

      Specified by:
        `verbose` in interface `org.apache.ivy.util.MessageLogger`

    - #### deprecated

          public void deprecated(java.lang.String string)

      Specified by:
        `deprecated` in interface `org.apache.ivy.util.MessageLogger`

    - #### info

          public void info(java.lang.String string)

      Specified by:
        `info` in interface `org.apache.ivy.util.MessageLogger`

    - #### rawinfo

          public void rawinfo(java.lang.String string)

      Specified by:
        `rawinfo` in interface `org.apache.ivy.util.MessageLogger`

    - #### warn

          public void warn(java.lang.String string)

      Specified by:
        `warn` in interface `org.apache.ivy.util.MessageLogger`

    - #### error

          public void error(java.lang.String string)

      Specified by:
        `error` in interface `org.apache.ivy.util.MessageLogger`

    - #### getProblems

          public java.util.List<java.lang.String> getProblems()

      Specified by:
        `getProblems` in interface `org.apache.ivy.util.MessageLogger`

    - #### getWarns

          public java.util.List<java.lang.String> getWarns()

      Specified by:
        `getWarns` in interface `org.apache.ivy.util.MessageLogger`

    - #### getErrors

          public java.util.List<java.lang.String> getErrors()

      Specified by:
        `getErrors` in interface `org.apache.ivy.util.MessageLogger`

    - #### clearProblems

          public void clearProblems()

      Specified by:
        `clearProblems` in interface `org.apache.ivy.util.MessageLogger`

    - #### sumupProblems

          public void sumupProblems()

      Specified by:
        `sumupProblems` in interface `org.apache.ivy.util.MessageLogger`

    - #### progress

          public void progress()

      Specified by:
        `progress` in interface `org.apache.ivy.util.MessageLogger`

    - #### endProgress

          public void endProgress()

      Specified by:
        `endProgress` in interface `org.apache.ivy.util.MessageLogger`

    - #### endProgress

          public void endProgress(java.lang.String string)

      Specified by:
        `endProgress` in interface `org.apache.ivy.util.MessageLogger`

    - #### isShowProgress

          public boolean isShowProgress()

      Specified by:
        `isShowProgress` in interface `org.apache.ivy.util.MessageLogger`

    - #### setShowProgress

          public void setShowProgress(boolean bln)

      Specified by:
        `setShowProgress` in interface `org.apache.ivy.util.MessageLogger`

    - #### transferProgress

          public void transferProgress(org.apache.ivy.plugins.repository.TransferEvent te)

      Specified by:
        `transferProgress` in interface `org.apache.ivy.plugins.repository.TransferListener`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly